Đến nội dung


Hình ảnh
* * * - - 2 Bình chọn

Viết Lisp theo yêu cầu


  • Chủ đề bị khóa Chủ đề bị khóa
2780 replies to this topic

#1461 khanhswru

khanhswru

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 January 2009 - 03:10 PM

xin chào:
- bạn nào có lisp cad nào có thể đổi kiểu ghi kích thước nhanh(giống như lisp đổi layer và lisp gán nhanh layer) không? nếu có thì send cho minh với
-nếu không có em nhờ Bác Hoành viết hộ em được không ạ? ^_^
  • 0

#1462 transu

transu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 09 January 2009 - 11:26 AM

xin chào:
- bạn nào có lisp cad nào có thể đổi kiểu ghi kích thước nhanh(giống như lisp đổi layer và lisp gán nhanh layer) không? nếu có thì send cho minh với
-nếu không có em nhờ Bác Hoành viết hộ em được không ạ? ^_^

ý của bạn là đổi từ dạng dim này sang dạng dim khác.mình có cách làm khá nhanh.mong là giúp được bác: dùng lệnh dda chọn hết các dim hoặc chỉ các dim bạn muốn thay đổi(lệnh này chỉ chọn các dim mà ko chọn các layer khác- nó dùng để sửalôĩi nhảy dim) enter- enter.dùng lệnh ma- chọn dim mẫu thay đổi-dùng biến p-enter.
  • 0

#1463 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 09 January 2009 - 02:10 PM

Bài toán đặt ra: làm sao tìm giao điểm giữa 1 đa giác và một đường thẳng rồi in ra tọa độ các giao điểm này ra màng hình. Nhờ các bạn giúp mình với.
  • 0

#1464 phamthanhhungks

phamthanhhungks

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 09 January 2009 - 03:29 PM

http://www.cadviet.c...s/KET_QUA_1.bmp
Em đã thử sử dụng lệnh Spline rồi, mà không thể nào vẽ ra được một đường cáp USV rải trong sàn giống như trong Hình vẽ 1 được, Các aem có thể chỉ cho em cách nào vẽ được nét cáp theo dạng đường Parabon như vậy không? cảm ơn các aem nhiều. còn Đây là file của đoạn sàn mà bên em đang làm.
http://www.cadviet.com/upfiles/1_8.dwg
  • 0

#1465 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 09 January 2009 - 04:21 PM

http://www.cadviet.com/upfiles/KET_QUA_1.bmp
Em đã thử sử dụng lệnh Spline rồi, mà không thể nào vẽ ra được một đường cáp USV rải trong sàn giống như trong Hình vẽ 1 được, Các aem có thể chỉ cho em cách nào vẽ được nét cáp theo dạng đường Parabon như vậy không? cảm ơn các aem nhiều. còn Đây là file của đoạn sàn mà bên em đang làm.
http://www.cadviet.com/upfiles/1_8.dwg

Hình đã gửi
Thường để vẽ cáp sàn dự ứng lực ta biết được độ võng lớn nhất của cáp và độ võng nhỏ nhất của cáp.
Tọa độ các điểm giữa của cáp thì bạn hoàn toàn chưa biết. Bạn chỉ biết được tọa độ cáp tại điểm có độ võng lớn nhất và tọa độ cáp tại điểm có độ võng bé nhất. Như vậy, đường cong của tọa độ cáp phải đi qua các điêm này.
Có file Lisp này sẽ giúp bạn vẽ đường cong đó. Đường cong đó là đường cong nội suy đi qua các điểm tọa độ cáp tại điểm có độ võng lớn nhất và tọa độ cáp tại điểm có độ võng bé nhất.
File Lisp đây : http://www.cadviet.c...iles/noisuy.vlx
Tên Lệnh là NS.
Trước khi sử dụng file Lisp đó bạn phải vẽ 1 đường Polyline đi qua tọa độ cáp tại điểm có độ võng lớn nhất và tọa độ cáp tại điểm có độ võng bé nhất.
Sau đó sử dụng lệnh NS chọn đường Polyline vừa vẽ, thì chương trình sẽ vẽ đường cong nội suy đó cho bạn.

Nếu bạn có thể biết được nhiều điểm của tọa độ cáp thì đường cong nội suy sẽ chính xác hơn
Bạn có thể lưu file http://www.cadviet.com/upfiles/1_8.dwg của bạn xuống CAD2000 được không? Để tớ giúp cho, đang sử dụng CAD2004.

Bài viết đã được chỉnh sửa nội dung bởi Tue_NV: 09 January 2009 - 04:36 PM

  • 1

#1466 loiphong

loiphong

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 January 2009 - 05:03 PM

Cám ơn bạn nataca rất nhiều!
  • 0

#1467 tuan_thietkedien

tuan_thietkedien

    biết lệnh mirror

  • Members
  • PipPipPip
  • 153 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 09 January 2009 - 05:11 PM

Nhờ các bác viết dùm em lệnh Break mà chế độ truy bắt điểm phân ra 2 điểm đầu, cuối rõ rệt.
Vì hiện tại khi gõ Break rồi Enter thì hiện dòng Select Object cũng là chọn điểm thứ 1. Như vậy em không thể bắt điểm chính xác được.
Cám ơn các bác nhiều lắm.
  • 0

#1468 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 09 January 2009 - 06:02 PM

Nhờ các bác viết dùm em lệnh Break mà chế độ truy bắt điểm phân ra 2 điểm đầu, cuối rõ rệt.
Vì hiện tại khi gõ Break rồi Enter thì hiện dòng Select Object cũng là chọn điểm thứ 1. Như vậy em không thể bắt điểm chính xác được.
Cám ơn các bác nhiều lắm.

Bạn có thể nói rõ hơn không?
  • 0

#1469 phamthanhhungks

phamthanhhungks

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 10 January 2009 - 12:25 AM

Bác Tuệ hay ai đó giúp em vụ này với, hỏi mầy người roài mà họ cũng bó tay lun roài. Hiện tại bên cty em đang xài khung tên cho bản vẽ bằng cách xài xref một file khác vào bản vẽ của mình. Bình thường em sau khi Xref khung tên vào em vẫn có thể thay thế tên người TK, và tên BV vì trong file gốc khung tên của em là một Block có chứa các biến ATT. Nhưng mà hổng bít hôm nay sao tự nhiên mấy khung tên mà em Xref vào không thể xửa được các biến ATT trong khung tên đó nữa ai bít chỉ em cách sửa với... kiếm hoài trên diễn đàn mà không thấy bài nào nói rõ về mấy căn bệnh của Xref hết trơn...Hình đã gửi
Đây là hình của khung tên trước khi bị lỗi Xref. hjc hjc
Hình đã gửi
Còn đây là hình của khung tên sau khi bị lỗi.
http://www.cadviet.c...___090109_1.dwg đây là khung tên gốc nè...
http://www.cadviet.c...AU_KHI_XREF.dwg Còn đây là một file đã Xref file khung tên đó vào... em hổng bít sửa sao nữa mọi người có ji chỉ bảo dùm em với. thank mọi người nhiều
  • 0

#1470 phamthanhhungks

phamthanhhungks

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 10 January 2009 - 12:34 AM

Thank bac Tue rat nhieu....
  • 0

#1471 phamthanhhungks

phamthanhhungks

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 10 January 2009 - 12:55 AM

sao không chọn đối tượng được anh Tuệ ơi, em xài Polyline rồi mà sau khi chọn đối tượng xong thì Lisp nó cứ báo vậy nè
Hình đã gửi
em hổng bít làm sao nữa. Chắc do mình lúa quá có jì nhờ anh kiểm tra lại cái Lisp dùm em hoặc hướng dẫn làm dùm nhà. thank anh nhiều
  • 0

#1472 tuan_thietkedien

tuan_thietkedien

    biết lệnh mirror

  • Members
  • PipPipPip
  • 153 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 10 January 2009 - 08:25 AM

Bạn có thể nói rõ hơn không?


Bác ơi em nhầm rồi.
Sau khi mình gõ lệnh BR, sau đó chọn đối tượng rồi mình nhấn F thì có thể chọn lại điểm đầu tiên. Vậy vụ này em đã thông rồi, cám ơn bác nhiều nha.

Bác có thể giúp em xác định tọa độ của đối tượng hay không.
Ví dụ 1 : Em có 1 đoạn thẳng, làm thế nào xác định tọa độ điểm đầu, điểm cuối, trung điểm đoạn thẳng. Nếu mình muốn mở rộng thêm tọa độ vài điểm nữa có phải mình dùng lệnh Polar hay không.
Ví dụ 2 : Em có giao điểm giữa đường thẳng và đường tròn, làm thế nào xác định tọa độ giao điểm giữa đường thẳng và đường tròn và 4 điểm của đường tròn.

Xin cám ơn.
  • 0

#1473 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 10 January 2009 - 12:14 PM

sao không chọn đối tượng được anh Tuệ ơi, em xài Polyline rồi mà sau khi chọn đối tượng xong thì Lisp nó cứ báo vậy nè
Hình đã gửi
em hổng bít làm sao nữa. Chắc do mình lúa quá có jì nhờ anh kiểm tra lại cái Lisp dùm em hoặc hướng dẫn làm dùm nhà. thank anh nhiều

Mình đã nói với bạn là lưu file của bạn http://www.cadviet.com/upfiles/1_8.dwg
xuống CAD2000 để mình giúp cho.
Để vẽ cáp sàn dự ứng lực cũng giống như vẽ đồ thị hàm số vậy.
Bạn xem file này sẽ biết :
http://www.cadviet.c.../Drawing1_2.rar
  • 0

#1474 thoclep

thoclep

    biết lệnh offset

  • Members
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 142 (tàm tạm)

Đã gửi 10 January 2009 - 12:57 PM

Nhờ các bác viết dùm em lệnh Break mà chế độ truy bắt điểm phân ra 2 điểm đầu, cuối rõ rệt.
Vì hiện tại khi gõ Break rồi Enter thì hiện dòng Select Object cũng là chọn điểm thứ 1. Như vậy em không thể bắt điểm chính xác được.
Cám ơn các bác nhiều lắm.

http://www.cadviet.c...files/break.lsp
  • 0

#1475 phamthanhhungks

phamthanhhungks

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 10 January 2009 - 02:33 PM

Em đã Save lại file xuống CAD 2000 rồi, có jì anh Tuệ xem giùm em nha, cảm ơn anh.
http://www.cadviet.c...cap_san_UVS.dwg
  • 0

#1476 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 10 January 2009 - 03:53 PM

Em đã Save lại file xuống CAD 2000 rồi, có jì anh Tuệ xem giùm em nha, cảm ơn anh.
http://www.cadviet.c...cap_san_UVS.dwg

Đã sửa file lại cho bạn rồi đây : http://www.cadviet.c...cap_san_UVS.rar
Cách thức làm như các bài viết trên mình đã trình bày.
Mong bạn làm được.
Chúc thành công. ^_^
  • 0

#1477 phamthanhhungks

phamthanhhungks

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 10 January 2009 - 08:54 PM

Em làm được rồi, cảm ơn anh Tuệ rất nhiều. ^_^
Nhưng mà cho em hỏi chút, ai có thể sửa cái khung tên dùm em được không, Bình thường em vẫn dùm Xref để gán cái block khung tên này vào trong bản vẽ mình sử dụng nhưng mà không bít sao dạo này cái khung tên của em sau khi gán vào không thể sử dụng để sữa chửa các tên người và tên bản vẽ trong đó nữa (các tên người và bản vẽ em có để biến ATT cho Text) Còn mọi sự thay đổi khác của Xref thì vẫn bình thường. Mọi người xem dùm với nha cảm ơn aem rất nhiều
đây là file của em nó, file gốc khung tên.
http://www.cadviet.c...___090109_3.dwg
còn đây là file đã Xref cái block khung tên đó vào.
http://www.cadviet.c..._KHI_XREF_1.dwg
  • 0

#1478 loiphong

loiphong

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 January 2009 - 09:45 PM

Mình thường xuyên phải dựng các mô hình 3D từ bản vẽ 2D theo yêu cầu của khách hàng.
Nhưng trong một số trường hợp, các kích thước của bản vẽ 2D không phải là kích thước thật mà là kích thước được gõ lại.
Vd: Đoạn thẳng 10mm, nhưng khi lên kích thước thì bị gõ thay lại là 12mm....
Bản vẽ 2D này khi xuất qua 3D để dựng hình sẽ ko chính xác. Và khi trong một bản vẽ có quá nhiều kích thước gõ như vậy để kiểm tra thì rất tốn thời gian. Bình thường mình phải nhấp vào tất cả các kích thước để kiểm tra. Nhờ mọi người viết dùm mình Lisp khi sử dụng sẽ tìm ra tất cả các kích thước gõ đó và đánh dấu vào các kích thướcđó. Cám ơn rất nhiều.
  • 0

#1479 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 11 January 2009 - 07:52 AM

Mình thường xuyên phải dựng các mô hình 3D từ bản vẽ 2D theo yêu cầu của khách hàng.
Nhưng trong một số trường hợp, các kích thước của bản vẽ 2D không phải là kích thước thật mà là kích thước được gõ lại.
Vd: Đoạn thẳng 10mm, nhưng khi lên kích thước thì bị gõ thay lại là 12mm....
Bản vẽ 2D này khi xuất qua 3D để dựng hình sẽ ko chính xác. Và khi trong một bản vẽ có quá nhiều kích thước gõ như vậy để kiểm tra thì rất tốn thời gian. Bình thường mình phải nhấp vào tất cả các kích thước để kiểm tra. Nhờ mọi người viết dùm mình Lisp khi sử dụng sẽ tìm ra tất cả các kích thước gõ đó và đánh dấu vào các kích thướcđó. Cám ơn rất nhiều.

Bạn dùng lisp sau. Gõ lệnh DBS (Dim Bị Sửa!) -> toàn bộ các dim bị "độ chế" sẽ chuyển sang màu đỏ:
(defun C:DBS( / ss e txt)
(setq ss (ssget "X" '((0 . "DIMENSION"))))
(while (setq e (ssname ss 0))
(setq txt (cdr (assoc 1 (entget e))))
(if (not (or (= txt "") (vl-string-search "<>" txt)))
(command "change" e "" "p" "c" 1 "")
)
(ssdel e ss)
)
(princ)
)


Lưu ý
Các Dim "không bị sửa" và được gán Dim Scale Linear khác 1 vẫn được cho là hợp lệ. Nếu bạn có nhu cầu phát hiện luôn các "chú" này thì ssg sẽ bổ sung thêm.
  • 0

#1480 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 11 January 2009 - 10:55 AM

Trước tiên xin lỗi các bác vì bài viết này em đã post lên một topick khác giờ lại post lên đây, mong mấy bác thông cảm vì em nghĩ chắc bên kia chắc mấy bác không chú ý đến. ^_^
Chuyên là thế này: Hiện nay công việc của em hay phải thực hiện một công việc đơn giản nhưng cực tốn thời gian đó là gán cao độ cho các đường đồng mức. Vì vậy để tiết kiệm thời gian nên em mạnh dạn post lên đây mong được các bác giúp đỡ:
Bác nào có thể giúp em cái lisp gán cao độ cho bình đồ như sau.

1/ Gõ lệnh VD: cc enter
2/ Nhập vào cao độ ban đầu enter
3/ nhập vào độ chênh cao giữa các đường dồng mức (có thể là một số âm hoặc dương VD: +1 hơặc -1) enter
4/ Cuối cùng pick chuột lên các đường đồng mức cần gán cao độ và nó sẽ tự động gán vào cao độ cho đường đồng mức này (Cao độ được gán có trị số được tính theo hình thức công dồn VD: cao đọ xuất phát ban đầu là 100 với chênh cao là 1 thì đường đồng mức được pick đầu tiện là 101, đường dc pick tiếp theo là 102......).
5/ Việc gán cao độ đuợc khống chế sao cho an toàn vì cái này liên quan đến Khối lượng công trình rất lớn (Chỉ tác động đến Elevation của đường ĐM mà thôi mọi thuộc tinh khác sẽ đựoc giữ lại)
6/ Sau khi gán cao độ đường được gán sẽ được chuyển về một layer mới VD: DM da so hoa.
http://www.cadviet.c...untitled_54.bmp
Mong các bác giúp đỡ :D
  • 0
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......